Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689255 - don't allow a container to connect to random services
Summary: don't allow a container to connect to random services
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: container-selinux
Version: 8.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: 8.0
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1695248
TreeView+ depends on / blocked
 
Reported: 2019-03-15 14:18 UTC by Qian Cai
Modified: 2019-04-04 20:30 UTC (History)
5 users (show)

Fixed In Version: containre-selinux-2.94
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1695248 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Qian Cai 2019-03-15 14:18:06 UTC
Description of problem:
# sesearch --allow | grep 'svirt_sandbox_domain unconfined_service_t'
allow svirt_sandbox_domain unconfined_service_t:fd use;
allow svirt_sandbox_domain unconfined_service_t:fifo_file { append getattr ioctl lock open read write };
allow svirt_sandbox_domain unconfined_service_t:process sigchld;

Those rules (unsafe) were dropped in RHEL-7.6.2 but still are there in RHEL8.

"We don't want to allow a container to connect to random services on the
host system if they escape confinement." -- Dan Walsh

Version-Release number of selected component (if applicable):
container-selinux-2.75-1.git99e2cfd.module+el8+2769+577ad176.noarch
container-selinux-2.87-3.git891a85f.module+el8+2851+dbc75b3b.noarch

Comment 3 Daniel Walsh 2019-03-28 23:53:17 UTC
Fixed in container-selinux-2.94


Note You need to log in before you can comment on or make changes to this bug.